function [errorsqrd,M,Mstar,y1,y2,ystar]=band_solver(M);

global rf mu sigma lambda rho gamma a kappa ymin ymax yunit y_l y_h use_ode_options


%search for y1 that makes y2 touch given M

y_run_length=10+1;
ystep=(y_h-y_l)/(y_run_length-1);
error_run=zeros(y_run_length,1);
y1_run=zeros(y_run_length,1);
y2_run=zeros(y_run_length,1);

i=0;
for y1_running=y_l:ystep:y_h
    i=i+1;
    y1_run(i)=y1_running;
    [error_run(i),y2_run(i)]=boundary_solver(y1_running,M);
end;

[minerror,minerrorindex]=min(error_run);
miny1=y_l+(minerrorindex-1)*ystep;
y1=fminbnd(@(y1) boundary_solver(y1,M),max(miny1-ystep,y_l),min(miny1+ystep,y_h));
[error,y2]=boundary_solver(y1,M);

%given y1, compute solution

ynum=1+round((ymax-ymin)/yunit);
yvec=[ymin:yunit:ymax]';

y1index=1+ceil((y1-ymin)/yunit);
y2index=1+floor((y2-ymin)/yunit);

h1_init=M*y1^a;
h2_init=M*a*y1^(a-1);

sol=ode45(@diffequation,[y1 ymax] ,[h1_init;h2_init],use_ode_options);
hvec_ode=deval(sol,yvec(y1index:y2index))';
hvec_stay=hvec_ode(:,1);
hvec_move=M*yvec.^a;
hvec_diff=hvec_stay-hvec_move(y1index:y2index);
hvec=M*yvec.^a;
hvec(y1index:y2index)=hvec(y1index:y2index)+hvec_diff;

%compute error in M

[Mstar,Mstarindex]=max(((yvec(y1index:y2index)+lambda).^(-a)).*hvec(y1index:y2index));
ystar=yvec(y1index+Mstarindex-1);
errorsqrd=error+(M-Mstar)^2;

