function [errorsqrd,y2]=boundary_solver(y1,M)

global rf mu sigma lambda rho gamma a kappa ymax yunit use_ode_options




ymax_bndr=y1+yunit*floor((ymax-y1)/yunit);
yvec_bndr=[y1:yunit:ymax_bndr]';
ynum=1+round((ymax_bndr-y1)/yunit);

h1_init=M*y1.^a;
h2_init=M*a*y1.^(a-1);
sol=ode45(@diffequation,[y1 ymax_bndr],[h1_init;h2_init],use_ode_options);
hvec_bndr=deval(sol,yvec_bndr)';
hvec_stay_bndr=real(hvec_bndr(:,1));
hvec_move_bndr=M*yvec_bndr.^a;

hvec_dif_bndr=hvec_stay_bndr-hvec_move_bndr;
minband=20;
minbandind=round(minband/yunit);
cutind=max(10,minbandind);
[mindiff,mindiffindex]=min(hvec_dif_bndr(cutind:ynum));

y2index=cutind+mindiffindex-1;
y2=yvec_bndr(y2index);
errorsqrd=mindiff(1)^2+sum(abs(imag(hvec_bndr(1:y2index,1))));



