function commitments_dynamics_simulator(caseindex)

filename=['outputs/solution_' num2str(caseindex) '.mat'];
load(filename, 'piM', 'sigmaM', 'piE', 'sigmaE', 'rf', 'rho', 'gamma', 'dz', 'dt', 'share_ss', 'snum',  'svec',  'sM_ind', 'sdist_ss');
load('inputs/randomvec.mat', 'randomvec');

sigmaA=piM/(gamma*sigmaM);
sigmaH=piE/(gamma*sigmaE);
sigmaT=sqrt(sigmaA^2+sigmaH^2);

mu_A=(1/gamma)*(piM^2/(2*sigmaM^2) +(1+1/gamma)*( piE^2/(2*sigmaE^2))+rf-rho  );
mu_i=sigmaH^2/2;

dA=sigmaA*sqrt(dt);
xsi=-sigmaA/sigmaT;

A_init=1;
A0=A_init;

T=100;
N=floor(T/dt);
number_samples=20;
sampling_freq=floor((N-1)/number_samples);

A=A0*ones(N,1);

Acutoff=(1/2)*(1+sqrt(dt)*mu_A/sigmaA );
Asign=sign(Acutoff-randomvec);

sample_matrix=zeros(number_samples+1,snum+2);

s_init=sdist_ss;
sdist=s_init;
sdist_new=s_init;
    
    x_init=A0*s_init.*exp(svec);
    X0=sum(x_init);
    X_norm=zeros(N,1);
   
    ph_U=(1+mu_i*sqrt(dt)/sigmaT+xsi)/2*(1-dz-dA);
    pl_U=1-ph_U;
    
    ph_D=(1+mu_i*sqrt(dt)/sigmaT-xsi)/2*(1-dz+dA);
    pl_D=1-ph_D;
    
    ph=ph_U*Acutoff+ph_D*(1-Acutoff);
    pl=pl_U*Acutoff+pl_D*(1-Acutoff);
    
    Prob_matrix=[ph_D ph_U; pl_D pl_U];
    A(1)=A0*exp(Asign(1)*dA);
    
    sdist_average=s_init;
    sdist_average_new=s_init;
    
    for i=1:N
        time(i)=dt*i;
        if i>1 A(i)=A(i-1)*exp(Asign(i)*dA); end;
        
        if ( (i-1)/sampling_freq-round((i-1)/sampling_freq)  )==0
         sample_matrix(1+round((i-1)/sampling_freq),:)=sdist;
        end;
        
        Prob_vec=Prob_matrix(:,round(1.5+Asign(i)/2));
        
        sdist_new(2:snum+1)=sdist(1:snum)*Prob_vec(1)+sdist(3:snum+2)*Prob_vec(2);
        sdist_new(1+sM_ind)=sdist_new(1+sM_ind)+sdist(snum+1)*Prob_vec(1)+sdist(2)*Prob_vec(2);
            
        X_norm(i)=sum(sdist_new.*exp(svec));
        sdist=sdist_new;
        sdist_average_new=(sdist_average*i+sdist)/(i+1);
        sdist_average=sdist_average_new;
    end;
    
    X=A.*X_norm;
    C=A+X;
    
    %figure
    %plot(svec,sample_matrix/dz);
    
    
    

    save(filename, 'A','C', 'X', 'time', 'sample_matrix','randomvec', '-append');
    