function impulse_response_computer(caseindex)

filename=['outputs/solution_' num2str(caseindex) '.mat'];
load(filename,  'mu_xpera', 'muloga', 'sigmaloga', 'dz', 'dt', 'share_ss', 'snum',  'svec',  'sM_ind', 'sdist_ss');
A_init=1;
T=60;
N=floor(T/dt);

shocksize=0.01;
shock=floor(-log(1-shocksize)/dz);
shocksize=1-exp(-shock*dz);

time=zeros(N,1);
A=ones(N,1);
X=zeros(N,1);
A_noshock=ones(N,1);
X_noshock=zeros(N,1);
weights=zeros(N,1);

s_init=sdist_ss;
 
sshock=zeros(snum+2,1)';
sshock(shock+2:snum+1)=s_init(2:snum-shock+1);
sshock(sM_ind+1)=sshock(sM_ind+1)+sum(s_init(snum-shock+2:snum+2));
sdist=sshock;
sdist_new=sshock;
sdist_noshock=s_init;
sdist_new_noshock=s_init;
 
x_init=A_init*s_init.*exp(svec);
X_init=sum(x_init);
C_init=A_init+X_init;
  
A0=A_init*exp(-dz*shock);
xdist=zeros(size(s_init));
xdist_noshock=zeros(size(s_init));
    for i=1:N
        time(i)=dt*i;
        A(i)=A0*exp((-mu_xpera+(1/2)*sigmaloga^2)*time(i)); 
        A_noshock(i)=A_init*exp((-mu_xpera+(1/2)*sigmaloga^2)*time(i)); 
   
        sdist_new(2:snum+1)=sdist(1:snum)*(1/2)*(1+sqrt(dt)*mu_xpera/sigmaloga-sqrt(dt)*sigmaloga)+sdist(3:snum+2)*(1/2)*(1-sqrt(dt)*mu_xpera/sigmaloga+sqrt(dt)*sigmaloga);
        sdist_new(1+sM_ind)=sdist_new(1+sM_ind)+sdist(snum+1)*(1/2)*(1+sqrt(dt)*mu_xpera/sigmaloga-sqrt(dt)*sigmaloga)+sdist(2)*(1/2)*(1-sqrt(dt)*mu_xpera/sigmaloga+sqrt(dt)*sigmaloga);
        xdist=A(i)*sdist_new.*exp(svec);
        X(i)=sum(xdist);
        sdist=sdist_new;
        
        sdist_new_noshock(2:snum+1)=sdist_noshock(1:snum)*(1/2)*(1+sqrt(dt)*mu_xpera/sigmaloga-sqrt(dt)*sigmaloga)+sdist_noshock(3:snum+2)*(1/2)*(1-sqrt(dt)*mu_xpera/sigmaloga+sqrt(dt)*sigmaloga);
        sdist_new_noshock(1+sM_ind)=sdist_new_noshock(1+sM_ind)+sdist_noshock(snum+1)*(1/2)*(1+sqrt(dt)*mu_xpera/sigmaloga-sqrt(dt)*sigmaloga)+sdist_noshock(2)*(1/2)*(1-sqrt(dt)*mu_xpera/sigmaloga+sqrt(dt)*sigmaloga);
        xdist_noshock=A_noshock(i)*sdist_new_noshock.*exp(svec);
        X_noshock(i)=sum(xdist_noshock);
        sdist_noshock=sdist_new_noshock;
        
    end;
    
    C=X+A;
    C_noshock=X_noshock+A_noshock;
    
    %normalize
    X_rel=(X_noshock-X)./X_noshock/shocksize;
    A_rel=(1-A./A_init./(A/A0))/shocksize;
    xsi_star=-(X-X_noshock)./A_noshock/shocksize;
    
    %impulse response quartiles
    p=[0.25 0.5 0.75];
    psize=size(p,2);
    [junk,sluggish_index]=min((repmat(X_rel,1,psize)-repmat(p,N,1)).^2);
    years_to_p=time(sluggish_index);
    
    %impulse response plot
    %figure
    %plot(time,ones(N,1),time,X_rel);
    %axis([time(1) time(N) -0.2 1.4]);
    
    %compute consumption weights
    xsi_star_prime=diff([0;xsi_star])/dt;
    theta=xsi_star_prime.*A_noshock;
    u_new=zeros(N,1);
    u_new(1)=theta(1);
    for j=2:N
        u_new(j)=theta(j)-sum(u_new(1:j-1).*flipud(theta(1:j-1)))*dt;
    end;
    
save(filename, 'u_new', 'theta', 'X_rel', 'time', 'years_to_p', '-append');

