clear
load('outputs/solution_1.mat','time', 'dt');   
NN=floor(30/dt);
time_fig=time(1:NN);
X_rel_matrix=zeros(NN,4);
for subfig_index=1:4
    filename=['outputs/solution_' num2str(subfig_index) '.mat'];
    load(filename, 'X_rel');   
    X_rel_matrix(:,subfig_index)=X_rel(1:NN);
end;


figure
for subfig_index=1:4
    subplot(2,2,subfig_index);
    plot(time_fig, ones(size(time_fig)), time_fig,X_rel_matrix(:,subfig_index));
    axis([0 30 -0.2 1.4]);
    ax=gca;
    set(ax,'XTick',[5 10 15 20 25 30],'FontSize',9);
    set(ax,'YTick',[0 0.5 1] ,'FontSize',9);
    xlabel('Years','FontSize',9);
    if (subfig_index-1)/2==floor((subfig_index-1)/2) ylabel('Cumulative impulse response','FontSize',9); end;
    if subfig_index==1 title('(a) High aggregate, low idiosyncratic risk','FontSize',9); end;
    if subfig_index==2 title('(b) High aggregate, high idiosyncratic risk','FontSize',9); end;
    if subfig_index==3 title('(c) Low aggregate, low idiosyncratic risk','FontSize',9); end;
    if subfig_index==4 title('(d) Low aggregate, high idiosyncratic risk','FontSize',9); end;
end;

set(gcf,'PaperPositionMode','auto');
saveas(gcf,'outputs/Figure2.fig');
saveas(gcf,'exhibits/Figure2.pdf');
clear
