clear
load('outputs/solution_1.mat','time','dt');   
NN=floor(100/dt);
time_fig=time(1:NN);
X_ratio_matrix=zeros(NN,4);
for subfig_index=1:4
    filename=['outputs/solution_' num2str(subfig_index) '.mat'];
    load(filename, 'X_ratio');   
    X_ratio_matrix(:,subfig_index)=X_ratio(1:NN);
end;


figure
for subfig_index=1:4
    subplot(2,2,subfig_index);
    plot(time_fig,X_ratio_matrix(:,subfig_index));
    axis([0 100 0.9 1.15]);
    ax=gca;
    set(ax,'XTick',[0 50 100],'FontSize',9);
    set(ax,'YTick',[0.9 0.95 1 1.05 1.1] ,'FontSize',9);
    xlabel('Years','FontSize',9);
    if (subfig_index-1)/2==floor((subfig_index-1)/2) ylabel('Aggr commitments / habit stock','FontSize',9); end;
    if subfig_index==1 title('(a) High aggregate, low idiosyncratic risk','FontSize',9); end;
    if subfig_index==2 title('(b) High aggregate, high idiosyncratic risk','FontSize',9); end;
    if subfig_index==3 title('(c) Low aggregate, low idiosyncratic risk','FontSize',9); end;
    if subfig_index==4 title('(d) Low aggregate, high idiosyncratic risk','FontSize',9); end;
end;

set(gcf,'PaperPositionMode','auto');
saveas(gcf,'outputs/Figure3.fig');
saveas(gcf,'exhibits/Figure3.pdf');
clear
