clear;
rf=.02;
rho=.02;
lambda=5;
gamma=2;

X=10;
Wvec=[600:1:2000]';
V_nomove_vec=1/rho*X^(1-gamma)/(1-gamma) + 1/rho* (rf*(Wvec-X/rf)).^(1-gamma)/(1-gamma);
V_move_vec=1/rho*2*(rf*(Wvec-lambda*X)/2).^(1-gamma)/(1-gamma);
V_commit_vec=max(V_nomove_vec,V_move_vec);
V_habit_vec=1/rho* (rf*(Wvec-X/rf)).^(1-gamma)/(1-gamma);
V_habit_shift_vec=V_nomove_vec;

figure
plot(Wvec,V_habit_shift_vec,'--',Wvec,V_commit_vec,'-','LineWidth',1);
axis([600 2000 -30 -2]);
ax=gca;
set(ax,'XTick',600:200:2000,'FontSize',10);
set(ax,'YTick',-30:5:-5,'FontSize',10);
xlabel('Wealth','FontSize',14);
ylabel('Lifetime utility','FontSize',14);
set(gcf,'PaperPositionMode','auto');
saveas(gcf,'outputs/Figure4.fig');
saveas(gcf,'exhibits/Figure4.pdf');
clear;

