clear
cases=[2 4 5 6 7 8 9 10 11]';
aggr_risk=zeros(9,1);
id_risk=zeros(9,1);
riskfree_rate=zeros(9,1);
individ_cons_growth=zeros(9,1);
years_to_p25=zeros(9,1);
years_to_p50=zeros(9,1);
years_to_p75=zeros(9,1);
table1=cell(10,7);

for row=1:9
    rowcase=cases(row);
    filename=['outputs/solution_' num2str(rowcase) '.mat'];
    load(filename, 'piM', 'sigmaM', 'piE', 'sigmaE', 'rf', 'gamma', 'muloga', 'years_to_p');   
    aggr_risk(row)=piM/(gamma*sigmaM);
    id_risk(row)=piE/(gamma*sigmaE);
    riskfree_rate(row)=rf;
    individ_log_cons_growth(row)=muloga;
    years_to_p25(row)=round(10*years_to_p(1))/10;
    years_to_p50(row)=round(10*years_to_p(2))/10;
    years_to_p75(row)=round(10*years_to_p(3))/10;
end;


table1{1,1}='Aggregate risk';
table1(2:10,1)=num2cell(aggr_risk);
table1{1,2}='Idiosyncratic risk';
table1(2:10,2)=num2cell(id_risk);
table1{1,3}='Riskfree rate';
table1(2:10,3)=num2cell(riskfree_rate);
table1{1,4}='Individual log consumption growth';
table1(2:10,4)=num2cell(individ_log_cons_growth);
table1{1,5}='Years to p=0.25';
table1(2:10,5)=num2cell(years_to_p25);
table1{1,6}='Years to p=0.5';
table1(2:10,6)=num2cell(years_to_p50);
table1{1,7}='Years to p=0.75';
table1(2:10,7)=num2cell(years_to_p75);
save('outputs/table1.mat', 'aggr_risk', 'id_risk', 'riskfree_rate', 'individ_log_cons_growth', 'years_to_p25', 'years_to_p50','years_to_p75');
xlswrite('exhibits/table1.xls',table1);
clear