function solver(caseindex)

global rf mu sigma lambda rho gamma a kappa maincode ymin ymax yunit y_l y_h use_ode_options

filename=['inputs/parameters_' num2str(caseindex) '.mat'];
load(filename, 'piM', 'sigmaM', 'piE', 'sigmaE', 'rf', 'rho', 'lambda', 'gamma', 'kappa', 'y1_candidate', 'y2_candidate', 'ystar_candidate', 'M_candidate');

mu=(piM^2/sigmaM^2+piE^2/sigmaE^2)/(piM/sigmaM^2+piE/sigmaE^2);
sigma=sqrt(mu/(piM/sigmaM^2+piE/sigmaE^2));
a=1-gamma;

  
%range of y
yunit=0.1; ymin=1;ymax=400;

%range of search around seed
y_l=y1_candidate-1;
y_h=y1_candidate+1;
Mmin=M_candidate*1.01;
Mmax=M_candidate*0.99;


%crude search
Mnum=10+1;
Mstep=(Mmax-Mmin)/(Mnum-1);
Mvec=zeros(Mnum,1);
errorvec=zeros(Mnum,1);

i=0;
for M_running=Mmin:Mstep:Mmax
    i=i+1;
    errorvec(i)=band_solver(M_running);
end;

[Mminerror,Mminerrorindex]=min(errorvec);
Mcrude_opt=Mmin+(Mminerrorindex-1)*Mstep;

%narrow search
Mstar=fminbnd(@(M) band_solver(M),Mcrude_opt-3*Mstep,Mcrude_opt+3*Mstep);
[Merror,M,Mstar,y1,y2,ystar]=band_solver(Mstar);



%compute solution
ynum=1+round((ymax-ymin)/yunit);
yvec=[ymin:yunit:ymax]';
y1index=1+ceil((y1-ymin)/yunit);
y2index=1+floor((y2-ymin)/yunit);

h1_init=M*y1^a;
h2_init=M*a*y1^(a-1);

sol=ode45(@diffequation,[y1 ymax] ,[h1_init;h2_init],use_ode_options);
hvec_ode=deval(sol,yvec(y1index:y2index))';
hvec_stay=hvec_ode(:,1);
hvec_move=M*yvec.^a;
hvec_diff=hvec_stay-hvec_move(y1index:y2index);
hvec=M*yvec.^a;
hvec(y1index:y2index)=hvec(y1index:y2index)+hvec_diff;


%report results if needed
%M_candidate
%y1_candidate
%y2_candidate
%ystar_candidate

%Mstar
%M
%y1
%y2
%ystar
   
Mstar=M;

a1=(M*a*y1^(a-1)/kappa)^(-1/gamma);
a2=(M*a*y2^(a-1)/kappa)^(-1/gamma);
hstar_ode=deval(sol,ystar);
astar=(hstar_ode(2)/kappa)^(-1/gamma);

%figure
%plot(yvec(y1index:y2index),hvec_diff,yvec(y1index:y2index),zeros(y2index-y1index+1,1));

filename=['outputs/solution_' num2str(caseindex) '.mat'];
save(filename, 'piM', 'sigmaM', 'piE', 'sigmaE', 'rf', 'rho', 'lambda', 'gamma', 'kappa', 'y1', 'y2', 'ystar', 'Mstar', 'a1', 'a2', 'astar');


    

    