function steady_state_computer(caseindex)

filename=['outputs/solution_' num2str(caseindex) '.mat'];
load(filename, 'piM', 'sigmaM', 'piE', 'sigmaE', 'rf', 'rho', 'gamma', 'a1', 'a2', 'astar');

muloga=(1/gamma)*( (1/2)*(piM/sigmaM)^2+(1/2)*(piE/sigmaE)^2+rf-rho);
sigma2loga=(1/gamma^2)*((piM/sigmaM)^2+(piE/sigmaE)^2);
sigmaloga=sqrt(sigma2loga);
mu_xpera=-muloga;
sigma_xpera=sigmaloga;

sigmaA=piM/(gamma*sigmaM);
sigmaH=piE/(gamma*sigmaE);
sigmaT=sqrt(sigmaA^2+sigmaH^2);

U=log(1/a1);
M=log(1/astar);
L=log(1/a2);

dt=0.001;
dz=sqrt(dt)*sigmaloga;

A_init=1;
A0=A_init;
N=100000;

share_ss=0;

snum=ceil((U-L)/dz);
s_init=[0;1/snum*ones(snum,1);0]';
svec=(cumsum(ones(snum+2,1))*dz+L-dz*1.5)';
sM_ind=ceil((M-L)/dz);

    sdist=s_init;
    sdist_new=s_init;
    x_init=A0*s_init.*exp(svec);
    X0=sum(x_init);
    X_norm=zeros(N,1);
    dA=dt*(-mu_xpera+(1/2)*sigmaloga^2);
    da=sqrt(dt)*sigmaloga;
   
    ph=(1/2)*(1+sqrt(dt)*(mu_xpera-sigmaH^2)/sigmaloga);
    pl=1-ph;
    
    
    for i=1:N
        time(i)=dt*i;
        A(i)=A0*exp((-mu_xpera+(1/2)*sigmaloga^2)*time(i)); 
        sdist_new(2:snum+1)=sdist(1:snum)*ph+sdist(3:snum+2)*pl;
        sdist_new(1+sM_ind)=sdist_new(1+sM_ind)+sdist(snum+1)*ph+sdist(2)*pl;
        sdist=sdist_new;    
    end;

    %steady state 
    
    x_ss=A_init*sdist.*exp(svec);
    X_ss=sum(x_ss);
    C_ss=A_init+X_ss;
    share_ss=X_ss/(A_init+X_ss);
    
    sdist_ss=sdist;
    
    %figure
    %plot(svec,sdist_ss/dz); 
 
save(filename, 'mu_xpera', 'muloga', 'sigmaloga', 'dz', 'dt', 'U', 'M', 'L', 'share_ss', 'snum',  'svec',  'sM_ind', 'sdist_ss',  '-append');
    
 
